# HSKTASK -- Set parameters for skyproc versions of IRAF tasks, save old values
# By Doug Mink, SAO/TDC
# May 17, 2007

procedure hsktask (task)

string	task = ""	{prompt="IRAF task to set from sk$task parameters"}
file oldpars = ""	{prompt="File to save original parameters to restore"}
bool deltemp = yes	{prompt="Delete temporary files (y or n)"}
bool verbose = no	{prompt="Log progress (y or n)"}
bool debug = no		{prompt="Print new parameter values (y or n)"}

begin
	bool vb, db, dt
	string newtask, pvar,peq,pval
	file tempfile, tempfile1

	vb = verbose
	db = debug
	dt = deltemp

	tempfile = mktemp ("skpars")
	tempfile1 = mktemp ("newpars")
	dpar (task, >tempfile)

	list = tempfile
	while (fscanf (list,"%s %s %s",pvar,peq,pval) != EOF) {
	    if (pvar != "#")
		print (substr(pvar,3,100),peq,pval, >>tempfile1)
	    }
	print ("# EOF", >>tempfile1)
	cl (<tempfile1)
	newtask = substr (task,3,100)
	if (!access (oldpars)) {
	    oldpars = mktemp ("oldpars")
	    dpar (newtask, >oldpars)
	    }
	else {
	    dpar (newtask, >>oldpars)
	    }
	if (debug) {
	    dpar (newtask)
	    }
	if (dt) {
	    delete (tempfile)
	    delete (tempfile1)
	    }
end

# May 17 2007	New task
